package com.example.afrishop_v3.controllers;

import com.example.afrishop_v3.base.Result;
import com.example.afrishop_v3.models.TbCfHomePageEntity;
import com.example.afrishop_v3.repository.TbCfHomePageEntityRepository;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/startPage")
public class TbCfHomePageEntityController {
    private final TbCfHomePageEntityRepository repository;

    public TbCfHomePageEntityController(TbCfHomePageEntityRepository repository) {
        this.repository = repository;
    }

    @GetMapping("/img")
    public Result<List<TbCfHomePageEntity>> getStartPageImage(@RequestParam(value = "version", defaultValue = "0") Integer version) {
        List<TbCfHomePageEntity> all = repository.getAllByImgVersionAndEnableFlag(version, 1);
        return new Result<>(all);
    }
}
